Impossible de Run Client eclipse



  • Bonsoir je démare éclipse comme d’habitude pour terminer mon mod sauf que la quand je lance le client sa me mais cette erreur
    j'utilise  la version recommander de forge 1.7.2 la 10.12.2.1121
    La console :

    [23:43:31] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker

    [23:43:31] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [23:43:31] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
    [23:43:31] [main/INFO] [FML]: Forge Mod Loader version 7.2.211.1121 for Minecraft 1.7.2 loading
    [23:43:31] [main/INFO] [FML]: Java is Java HotSpot(TM) Client VM, version 1.7.0_45, running on Windows 7:x86:6.1, installed at C:\Program Files\Java\jre7
    [23:43:31] [main/INFO] [FML]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
    [23:43:31] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [23:43:31] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [23:43:31] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [23:43:31] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [23:43:31] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [23:43:31] [main/ERROR] [FML]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!
    [23:43:32] [main/ERROR] [FML]: The minecraft jar file:/C:/Users/Cedric/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.2-10.12.2.1121/forgeSrc-1.7.2-10.12.2.1121.jar!/net/minecraft/client/ClientBrandRetriever.class appears to be corrupt! There has been CRITICAL TAMPERING WITH MINECRAFT, it is highly unlikely minecraft will work! STOP NOW, get a clean copy and try again!
    [23:43:32] [main/ERROR] [FML]: FML has been ordered to ignore the invalid or missing minecraft certificate. This is very likely to cause a problem!
    [23:43:32] [main/ERROR] [FML]: Technical information: ClientBrandRetriever was at jar:file:/C:/Users/Cedric/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.2-10.12.2.1121/forgeSrc-1.7.2-10.12.2.1121.jar!/net/minecraft/client/ClientBrandRetriever.class, there were 0 certificates for it
    [23:43:32] [main/ERROR] [FML]: FML appears to be missing any signature data. This is not a good thing
    [23:43:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [23:43:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [23:43:33] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}
    [23:43:33] [main/ERROR] [LaunchWrapper]: Unable to launch
    java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_45]
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_45]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_45]
        at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_45]
        at net.minecraft.launchwrapper.Launch.launch(Launch.java:134) [launchwrapper-1.9.jar:?]
        at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
    Caused by: java.lang.NoClassDefFoundError: org/lwjgl/LWJGLException
        at net.minecraft.client.main.Main.main(Main.java:40) ~[Main.class:?]
        … 6 more
    Caused by: java.lang.ClassNotFoundException: org.lwjgl.LWJGLException
        at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_45]
        at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_45]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_45]
        at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.7.0_45]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:104) ~[launchwrapper-1.9.jar:?]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at net.minecraft.client.main.Main.main(Main.java:40) ~[Main.class:?]
        … 6 more

    Merci pour vos réponse


  • Modérateurs

    Il semblerait que lwjgl a été retiré de ton classpath. Fais un clic droit sur ton projet et fais Build Path>Configure Build Path et va dans l'onglet Libraries. Vérifie que lwjgl.jar est bien présent

    Sent from my GT-I9000 using Tapatalk 2



  • Merci pour cette réponse rapide
    Je n'est pas de class lwjgl mais des class  lwjgl-2.9.0 , lwjgl_util_2.9.0



  • Je vien de tester : click droit sur le package minecraft => configure build path … => onglet libraries => developper "lwjgl-2.9.0" => editer "Native library location" => mettre "Minecraft/build/natives" => ok => ok .
    L'erreur et toujours la donc si qu’elle qu’un a la solution je le remercie .

    ps:j'utilise  la version recommander de forge 1.7.2 la 10.12.2.1121
    console :
    [16:45:32] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker

    [16:45:32] [main/INFO] [LaunchWrapper]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [16:45:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
    [16:45:32] [main/INFO] [FML]: Forge Mod Loader version 7.2.211.1121 for Minecraft 1.7.2 loading
    [16:45:32] [main/INFO] [FML]: Java is Java HotSpot(TM) Client VM, version 1.7.0_45, running on Windows 7:x86:6.1, installed at C:\Program Files\Java\jre7
    [16:45:32] [main/INFO] [FML]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
    [16:45:32] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [16:45:32] [main/INFO] [LaunchWrapper]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [16:45:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [16:45:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [16:45:32] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [16:45:32] [main/ERROR] [FML]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!
    [16:45:33] [main/ERROR] [FML]: The minecraft jar file:/C:/Users/Cedric/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.2-10.12.2.1121/forgeSrc-1.7.2-10.12.2.1121.jar!/net/minecraft/client/ClientBrandRetriever.class appears to be corrupt! There has been CRITICAL TAMPERING WITH MINECRAFT, it is highly unlikely minecraft will work! STOP NOW, get a clean copy and try again!
    [16:45:33] [main/ERROR] [FML]: FML has been ordered to ignore the invalid or missing minecraft certificate. This is very likely to cause a problem!
    [16:45:33] [main/ERROR] [FML]: Technical information: ClientBrandRetriever was at jar:file:/C:/Users/Cedric/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.2-10.12.2.1121/forgeSrc-1.7.2-10.12.2.1121.jar!/net/minecraft/client/ClientBrandRetriever.class, there were 0 certificates for it
    [16:45:33] [main/ERROR] [FML]: FML appears to be missing any signature data. This is not a good thing
    [16:45:33] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
    [16:45:33] [main/INFO] [LaunchWrapper]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [16:45:33] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}
    [16:45:33] [main/ERROR] [LaunchWrapper]: Unable to launch
    java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_45]
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_45]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_45]
        at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_45]
        at net.minecraft.launchwrapper.Launch.launch(Launch.java:134) [launchwrapper-1.9.jar:?]
        at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
    Caused by: java.lang.NoClassDefFoundError: org/lwjgl/LWJGLException
        at net.minecraft.client.main.Main.main(Main.java:40) ~[Main.class:?]
        … 6 more
    Caused by: java.lang.ClassNotFoundException: org.lwjgl.LWJGLException
        at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_45]
        at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_45]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_45]
        at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.7.0_45]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:104) ~[launchwrapper-1.9.jar:?]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_45]
        at net.minecraft.client.main.Main.main(Main.java:40) ~[Main.class:?]
        … 6 more


  • Administrateurs

    Refait un setup ou passe en 1.7.10.



  • Je pense avoir trouvé la raison mais je ne sais pas comment la réglé ta la console du gradlew (cmd) il y a plein de skiped


  • Administrateurs

    Non ce n'est pas pour ça. Les skiped veulent dire que l'étape n'a pas été faite car elle a déjà été faite et qu'elle n'a pas besoin d'être refaite.



  • tu pourrais me passais le dossier forge 1.7.2 déjà décompiler stp


  • Administrateurs

    Pas possible, pour 2 raisons :
    Tous les fichiers ne sont pas dans le dossier Forge, certains sont dans le dossier .gradle.
    Lorsque gradlew eclipse est lancé certains fichiers sont paramétrés en fonction de leurs emplacement, les bouger causera donc des problèmes.

    Comme je l'ai déjà dit passe en 1.7.10 qui n'a pas de problème ou alors cherche un peu sur le fofo : http://www.minecraftforgefrance.fr/showthread.php?tid=1659&highlight=no+lwjgl



  • merci pour cette raison je suis deja passer en 1.7.10 mais cette version je ne l'aime pas trop de plus je voudrais le faire en 1.7.2 donc je vais chercher plus merci encore pour c'est réponse



  • Bonsoir je poste se message pour les personne en difficulté qui on eu une erreur similaire :
    tout d'abord rendez vous dans votre ordinateur/utilisateur/"votre_nom" et supprimer .gradle
    des que sais fini refaite la manipulation pour décompiler forge et des que  sais fini sa devrais remarcher
    mais si ya toujours une erreur faite ceci : (sur eclipse)

    click droit sur le package minecraft => configure build path … => onglet libraries => developper "lwjgl-2.9.0" => editer "Native library location" => mettre "Minecraft/build/natives" => ok => ok .

    Bonne soirée a vous .

    ps: trouvé l'erreur a été simple j'avais juste zappé. (j'ai chercher dans la console gradlew ou il enregistrer sais fichier pour le skiped)